<!--{assign var="item_list" value=vo_list("mod={volistlovesort}")}-->
<!--{if !empty($item_list)}-->
	<ul>
	  <!--{foreach $item_list as $val}-->
	  <li onclick="objSelectValue('<!--{$val.sortid}-->', '<!--{$val.sortname}-->');"><!--{$val.sortname}--><div class="var-item<!--{if $value == $val.sortid}--> var-item-icon-select<!--{else}--> var-item-icon<!--{/if}-->"><i class="iconfont">&#xe633;</i></div></li>
	  <!--{/foreach}-->
	</ul>
	<div class="clear"></div>

<script type="text/javascript">
function objSelectValue(value, text) {
	<!--{if $module == "profile"}-->
	//修改资料
	$.ajax({
		type: "POST",
		url: WEBAPP_APPFILE+"?c=profile&a=saveprofilevar",
		cache: false,
		data: {item:"<!--{$item}-->", value:value, r:get_rndnum(8)},
		dataType: "json",
		success: function(data) {
			var json = eval(data);
			var response = json.response;
			var result = json.result;
			if (response == '1') {
				$("#<!--{$input}-->").val(value); //赋值
				$("#<!--{$input}-->_text").html(text); //赋值
				ToastShow("设置成功");
				varRadioPopClose(); //关闭
			}
			else {
				ToastShow("设置失败，请检查网络...");
			}
		},
		error: function() {
			ToastShow("设置失败，请检查网络...");
		}
	});
	
	<!--{else}-->
		$("#<!--{$input}-->").val(value); //赋值
		$("#<!--{$input}-->_text").text(text); //赋值
		varRadioPopClose(); //关闭
	<!--{/if}-->
	
}
</script>
<!--{/if}-->